#
# spec file for package kget
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kget
Version:        16.04.0
Release:        0
Summary:        Download Manager
License:        GPL-2.0+
Group:          Productivity/Networking/Other
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  boost-devel
BuildRequires:  gpgme-devel
BuildRequires:  libkdepimlibs4-devel
BuildRequires:  libkonq-devel
BuildRequires:  libktorrent-devel
BuildRequires:  libqca2-devel
BuildRequires:  sqlite-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
An advanced download manager for KDE

%prep
%setup -q

%build
%ifarch ppc ppc64
export RPM_OPT_FLAGS="%{optflags} -mminimal-toc"
%endif
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
%kde4_makeinstall
  cd ..
  %suse_update_desktop_file -r kget         System   TrayIcon
  %kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%{_kde4_bindir}/kget
%{_kde4_appsdir}/dolphinpart/
%{_kde4_servicetypesdir}/*.desktop
%{_kde4_servicesdir}/*.desktop
%{_kde4_servicesdir}/ServiceMenus/*.desktop
%{_datadir}/dbus-1/services/org.kde.kget.service
%{_kde4_configkcfgdir}/*.kcfg
%{_kde4_appsdir}/kwebkitpart/
%{_kde4_appsdir}/khtml/
%{_kde4_appsdir}/kget/
%{_kde4_iconsdir}/hicolor/*/apps/kget.*
%{_kde4_htmldir}/en/kget/
%{_kde4_modulesdir}/kcm_kget*.so
%{_kde4_modulesdir}/kget_*.so
%{_kde4_modulesdir}/krunner_*.so
%{_kde4_modulesdir}/plasma_*.so
%{_kde4_libdir}/libkgetcore.so*
%{_kde4_applicationsdir}/kget.desktop
%{_kde4_appsdir}/kconf_update/

%changelog
